<script>

var FLBuilderConfig = {
	debug: <?php if( defined( 'WP_DEBUG' ) && WP_DEBUG ) echo 'true'; else echo 'false'; ?>,
	enabledTemplates: '<?php echo $enabled_templates; ?>',
	help: <?php echo json_encode( $help_button ); ?>,
	homeUrl:  '<?php echo home_url(); ?>',
	isRtl:  <?php if(is_rtl()) echo 'true'; else echo 'false'; ?>,
	lite: <?php if(FL_BUILDER_LITE === true) echo 'true'; else echo 'false'; ?>,
	newUser: <?php if ( FLBuilderModel::is_new_user() ) echo 'true'; else echo 'false'; ?>,
	postId: <?php echo $post_id; ?>,
	postType: '<?php echo get_post_type(); ?>',
	simpleUi: <?php if(!current_user_can(FLBuilderModel::get_editing_capability())) echo 'true'; else echo 'false'; ?>,
	upgradeUrl: '<?php if(FL_BUILDER_LITE === true) $campaign = 'upgrade-button'; else $campaign = 'buy-button'; echo FLBuilderModel::get_upgrade_url( array( 'utm_source' => 'external', 'utm_medium' => 'builder', 'utm_campaign' => $campaign ) ); ?>'
};

var FLBuilderStrings = {
	actionsLightboxTitle: '<?php esc_attr_e('What would you like to do?', 'fl-builder'); ?>',
	cancel: '<?php esc_attr_e('Cancel', 'fl-builder'); ?>',
	changeTemplate: '<?php esc_attr_e('Change Template', 'fl-builder'); ?>',
	changeTemplateMessage: '<?php esc_attr_e('Warning! Changing the template will replace your existing layout. Do you really want to do this?', 'fl-builder'); ?>',
	column: '<?php esc_attr_e('Column', 'fl-builder') ?>',
	columnSettings: '<?php esc_attr_e('Column Settings', 'fl-builder') ?>',
	contentSliderSelectLayout:  '<?php esc_attr_e('Please select either a background layout or content layout before submitting.', 'fl-builder'); ?>',
	deleteAccount: '<?php esc_attr_e('Remove Account', 'fl-builder'); ?>',
	deleteAccountWarning: '<?php esc_attr_e('Are you sure you want to remove this account? Other modules that are connected to it will be affected.', 'fl-builder'); ?>',
	deleteFieldMessage: '<?php esc_attr_e('Do you really want to delete this item?', 'fl-builder'); ?>',
	deleteModuleMessage: '<?php esc_attr_e('Do you really want to delete this module? All content data will be permanently deleted.', 'fl-builder') ?>',
	deleteRowMessage: '<?php esc_attr_e('Do you really want to delete this row? All content data will be permanently deleted.', 'fl-builder') ?>',
	deleteTemplate: '<?php esc_attr_e('Do you really want to delete this template?', 'fl-builder'); ?>',
	discard: '<?php esc_attr_e('Discard Changes', 'fl-builder'); ?>',
	discardMessage: '<?php esc_attr_e('Do you really want to discard these changes? All of your changes that are not published will be lost.', 'fl-builder'); ?>',
	done: '<?php esc_attr_e('Done', 'fl-builder'); ?>',
	draft: '<?php esc_attr_e('Save Draft', 'fl-builder'); ?>',
	duplicate: '<?php _ex( 'Duplicate', 'Duplicate page/post action label.', 'fl-builder' ); ?>',
	duplicatePage: '<?php esc_attr_e('Duplicate This Page', 'fl-builder'); ?>',
	duplicateTemplate: '<?php esc_attr_e('Duplicate This Template', 'fl-builder'); ?>',
	editGlobalSettings: '<?php esc_attr_e('Edit Global Settings', 'fl-builder'); ?>',
	emptyMessage: '<?php esc_attr_e('Drop a row layout or module to get started!', 'fl-builder') ?>',
	errorMessage: '<?php esc_attr_e('Beaver Builder caught the following JavaScript error. If Beaver Builder is not functioning as expected the cause is most likely this error. Please help us by disabling all plugins and testing Beaver Builder while reactivating each to determine if the issue is related to a third party plugin.', 'fl-builder') ?>',
	fullSize: '<?php esc_attr_e('Full Size', 'fl-builder'); ?>',
	getHelp: '<?php esc_attr_e('Get Help', 'fl-builder'); ?>',
	gettingStartedVideo: '<?php esc_attr_e('Getting Started Video', 'fl-builder'); ?>',
	globalErrorMessage: '<?php _e('"{message}" on line {line} of {file}.', 'fl-builder') ?>',
	insert: '<?php esc_attr_e('Insert', 'fl-builder'); ?>',
	large: '<?php esc_attr_e('Large', 'fl-builder'); ?>',
	manageTemplates: '<?php esc_attr_e('Manage Templates', 'fl-builder'); ?>',
	medium: '<?php esc_attr_e('Medium', 'fl-builder'); ?>',
	module: '<?php esc_attr_e('Module', 'fl-builder') ?>',
	move: '<?php esc_attr_e('Move', 'fl-builder'); ?>',
	newColumn: '<?php esc_attr_e('New Column', 'fl-builder') ?>',
	newRow: '<?php esc_attr_e('New Row', 'fl-builder') ?>',
	noResultsFound: '<?php esc_attr_e('No results found.', 'fl-builder') ?>',
	noThanks: '<?php esc_attr_e('No Thanks', 'fl-builder'); ?>',
	ok: '<?php esc_attr_e( 'OK', 'fl-builder' ); ?>',
	photoPage: '<?php esc_attr_e('Photo Page', 'fl-builder'); ?>',
	photoSelected: '<?php esc_attr_e('Photo Selected', 'fl-builder'); ?>',
	photosSelected: '<?php esc_attr_e('Photos Selected', 'fl-builder'); ?>',
	pleaseWait: '<?php esc_attr_e('Please Wait...', 'fl-builder'); ?>',
	publish: '<?php esc_attr_e('Publish Changes', 'fl-builder'); ?>',
	remove: '<?php esc_attr_e('Remove', 'fl-builder'); ?>',
	row: '<?php esc_attr_e('Row', 'fl-builder') ?>',
	rowSettings: '<?php esc_attr_e('Row Settings', 'fl-builder') ?>',
	saveCoreTemplate: '<?php esc_attr_e('Save Core Template', 'fl-builder'); ?>',
	saveTemplate: '<?php esc_attr_e('Save Template', 'fl-builder'); ?>',
	selectPhoto: '<?php esc_attr_e('Select Photo', 'fl-builder'); ?>',
	selectPhotos: '<?php esc_attr_e('Select Photos', 'fl-builder'); ?>',
	selectVideo: '<?php esc_attr_e('Select Video', 'fl-builder'); ?>',
	settings: '<?php _ex( '%s Settings', '%s stands for module name.', 'fl-builder' ); ?>',
	subscriptionModuleAccountError: '<?php esc_attr_e('Please select an account before saving.', 'fl-builder'); ?>',
	subscriptionModuleConnectError: '<?php esc_attr_e('Please connect an account before saving.', 'fl-builder'); ?>',
	subscriptionModuleListError: '<?php esc_attr_e('Please select a list before saving.', 'fl-builder'); ?>',
	takeHelpTour: '<?php esc_attr_e('Take a Tour', 'fl-builder'); ?>',
	templateAppend: '<?php esc_attr_e('Append New Layout', 'fl-builder'); ?>',
	templateReplace: '<?php esc_attr_e('Replace Existing Layout', 'fl-builder'); ?>',
	templateSaved: '<?php esc_attr_e('Template Saved!', 'fl-builder'); ?>',
	thumbnail: '<?php esc_attr_e('Thumbnail', 'fl-builder'); ?>',
	tourNext: '<?php esc_attr_e('Next', 'fl-builder'); ?>',
	tourEnd: '<?php esc_attr_e('Get Started', 'fl-builder'); ?>',
	tourTemplatesTitle: '<?php esc_attr_e('Choose a Template', 'fl-builder'); ?>',
	tourTemplates: '<?php esc_attr_e('Get started by choosing a layout template to customize, or build a page from scratch by selecting the blank layout template.', 'fl-builder'); ?>',
	tourAddRowsTitle: '<?php esc_attr_e('Add Rows', 'fl-builder'); ?>',
	tourAddRows: '<?php esc_attr_e('Add multi-column rows, adjust spacing, add backgrounds and more by dragging and dropping row layouts onto the page.', 'fl-builder'); ?>',
	tourAddContentTitle: '<?php esc_attr_e('Add Content', 'fl-builder'); ?>',
	tourAddContent: '<?php esc_attr_e('Add new content by dragging and dropping modules or widgets into your row layouts or to create a new row layout.', 'fl-builder'); ?>',
	tourEditContentTitle: '<?php esc_attr_e('Edit Content', 'fl-builder'); ?>',
	tourEditContent: '<?php esc_attr_e('Move your mouse over rows, columns or modules to edit and interact with them.', 'fl-builder'); ?>',
	tourEditContent2: '<?php esc_attr_e('Use the action buttons to perform actions such as moving, editing, duplicating or deleting rows, columns and modules.', 'fl-builder'); ?>',
	tourAddContentButtonTitle: '<?php esc_attr_e('Add More Content', 'fl-builder'); ?>',
	tourAddContentButton: '<?php esc_attr_e('Use the Add Content button to open the content panel and add new row layouts, modules or widgets.', 'fl-builder'); ?>',
	tourTemplatesButtonTitle: '<?php esc_attr_e('Change Templates', 'fl-builder'); ?>',
	tourTemplatesButton: '<?php esc_attr_e('Use the Templates button to pick a new template or append one to your layout. Appending will insert a new template at the end of your existing page content.', 'fl-builder'); ?>',
	tourToolsButtonTitle: '<?php esc_attr_e('Helpful Tools', 'fl-builder'); ?>',
	tourToolsButton: '<?php esc_attr_e('The Tools button lets you duplicate a page, save a template or edit the global settings.', 'fl-builder'); ?>',
	tourDoneButtonTitle: '<?php esc_attr_e('Publish Your Changes', 'fl-builder'); ?>',
	tourDoneButton: '<?php esc_attr_e("Once you're finished, click the Done button to publish your changes, save a draft or revert back to the last published state.", 'fl-builder'); ?>',
	tourFinishedTitle: '<?php esc_attr_e("Let's Get Building!", 'fl-builder'); ?>',
	tourFinished: '<?php esc_attr_e("Now that you know the basics, you're ready to start building! If at any time you need help, click the help icon in the upper right corner to access the help menu. Happy building!", 'fl-builder'); ?>',
	unloadWarning: '<?php esc_attr_e('The settings you are currently editing will not be saved if you navigate away from this page.', 'fl-builder'); ?>',
	viewKnowledgeBase: '<?php esc_attr_e('View the Knowledge Base', 'fl-builder'); ?>',
	visitForums: '<?php esc_attr_e('Visit the Forums', 'fl-builder'); ?>',
	watchHelpVideo: '<?php esc_attr_e('Watch the Video', 'fl-builder'); ?>',
	welcomeMessage: '<?php esc_attr_e('Welcome! It looks like this might be your first time using the builder. Would you like to take a tour?', 'fl-builder'); ?>',
	yesPlease: '<?php esc_attr_e('Yes Please!', 'fl-builder'); ?>'
};

</script>